﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.IO.IsolatedStorage;
using System.IO;
namespace IsolatedStorage
{
    public partial class Set : PhoneApplicationPage
    {

        int textColor;
        int textSize;
        public Set()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(Set_Loaded);
        }

        void Set_Loaded(object sender, RoutedEventArgs e)
        {
            switch (textColor)
            {
                case 0:
                    whiteRadioButton.IsChecked = true;
                    break;
                case 1:
                    redRadioButton.IsChecked = true;
                    break;
                case 2:
                    greenRadioButton.IsChecked = true;
                    break;
                case 3:
                    blueRadioButton.IsChecked = true;
                    break;
            }
            textSizeTextBox.Text = textSize.ToString();
        }

       
        private int colorInt = -1;
        protected override void OnNavigatedFrom(System.Windows.Navigation.NavigationEventArgs e)
        {
            if (whiteRadioButton.IsChecked==true)
            {
                colorInt = 0;
            }
            else if (redRadioButton.IsChecked==true)
            {
                colorInt = 1;
            }
            else if (greenRadioButton.IsChecked==true)
            {
                colorInt = 2;
            }
            else if (blueRadioButton.IsChecked==true)
            {
                colorInt = 3;
            }

            IsolatedStorageSettings.ApplicationSettings[App.textColor] = colorInt;

            IsolatedStorageSettings.ApplicationSettings[App.textSize] = Int32.Parse(textSizeTextBox.Text);
            IsolatedStorageSettings.ApplicationSettings.Save();

            base.OnNavigatedFrom(e);
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            if (IsolatedStorageSettings.ApplicationSettings.Contains(App.textColor))
            {
                 textColor = Int32.Parse(IsolatedStorageSettings.ApplicationSettings[App.textColor].ToString());
               
            }
            if (IsolatedStorageSettings.ApplicationSettings.Contains(App.textSize))
            {
                 textSize = Int32.Parse(IsolatedStorageSettings.ApplicationSettings[App.textSize].ToString());
              
            }
            base.OnNavigatedTo(e);
        }
    }
}